# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Aug  7 18:13:26 2024
# ------------------------------------------------

package:
  name: fwdpy11
  version: 0.24.1
source:
  sha256: d0d0d3b9b504d47bd23cfedab39bc4978d2fb21a73e8645140a8c25e211e5800
  url: https://pypi.io/packages/source/f/fwdpy11/fwdpy11-0.24.1.tar.gz
build:
  entry_points:
    - fwdpy11 = fwdpy11.__main__:main
  number: '0'
  run_exports:
    - fwdpy11 >=0.24.1,<0.25.0a0
  script_env:
    - SETUPTOOLS_SCM_PRETEND_VERSION=0.24.1
  string: py312h2a980df_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_16
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_0
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.32.3 h4bc722e_0
    - ca-certificates 2024.7.4 hbcca054_0
    - cmake 3.30.2 hf8c4bd3_0
    - gcc_impl_linux-64 12.4.0 hb2e57f8_0
    - gcc_linux-64 12.4.0 h6b7512a_0
    - gxx_impl_linux-64 12.4.0 h613a52c_0
    - gxx_linux-64 12.4.0 h8489865_0
    - kernel-headers_linux-64 3.10.0 h4a8ded7_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libcurl 8.9.1 hdb1bdb2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libgcc-devel_linux-64 12.4.0 ha4f9413_100
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 12.4.0 h46f95d5_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.4.0 ha4f9413_100
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libuv 1.48.0 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4bc722e_2
    - rhash 1.4.4 hd590300_0
    - rust 1.80.0 h0a17960_0
    - rust-std-x86_64-unknown-linux-gnu 1.80.0 h2c6d0dc_0
    - rust_linux-64 1.80.0 h5e924f1_1
    - sysroot_linux-64 2.17 h4a8ded7_16
    - tzdata 2024a h0c530f3_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.7.4 hbcca054_0
    - exceptiongroup 1.2.2 pyhd8ed1ab_0
    - gsl 2.7 he838d99_0
    - importlib-metadata 8.2.0 pyha770c72_0
    - importlib-resources 6.4.0 pyhd8ed1ab_0
    - importlib_resources 6.4.0 pyhd8ed1ab_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libblas 3.9.0 23_linux64_openblas
    - libcblas 3.9.0 23_linux64_openblas
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 14.1.0 h77fa898_0
    - libgfortran-ng 14.1.0 h69a702a_0
    - libgfortran5 14.1.0 hc5f4f2c_0
    - libgomp 14.1.0 h77fa898_0
    - libnsl 2.0.1 hd590300_0
    - libopenblas 0.3.27 pthreads_hac2b453_1
    - libsqlite 3.46.0 hde9e2c9_0
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4bc722e_2
    - packaging 24.1 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pip 24.2 pyhd8ed1ab_0
    - pybind11 2.11.1 py312h8572e83_2
    - pybind11-global 2.11.1 py312h8572e83_2
    - python 3.12.4 h194c7f8_0_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - scikit-build-core 0.10.1 pyh4af843d_0
    - setuptools 72.1.0 pyhd8ed1ab_0
    - setuptools-scm 8.1.0 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tomli 2.0.1 pyhd8ed1ab_0
    - typing-extensions 4.12.2 hd8ed1ab_0
    - typing_extensions 4.12.2 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zipp 3.19.2 pyhd8ed1ab_0
  run:
    - attrs
    - black
    - demes >=0.2.2
    - deprecated
    - gsl >=2.7,<2.8.0a0
    - intervaltree
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - numpy <2.0
    - openblas
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
    - scipy
    - tskit >=0.5.6
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - fwdpy11 --help
  imports:
    - fwdpy11
about:
  dev_url: https://github.com/molpopgen/fwdpy11
  doc_url: https://molpopgen.github.io/fwdpy11
  home: https://github.com/molpopgen/fwdpy11
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: COPYING
  summary: Forward-time population genetic simulation in Python.
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1371/journal.pcbi.1006581
    - doi:10.1534/genetics.114.165019
